<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true"
      xmlns:rx="http://typo3.org/ns/Reelworx/RxShariff/ViewHelper"
      xmlns:bk2k="http://typo3.org/ns/BK2K/BootstrapPackage/ViewHelpers" data-namespace-typo3-fluid="true">
<f:layout name="Default" />

<f:section name="Main">
                    <f:comment>This shows a single blog post.</f:comment>
    <f:debug title="data">{data}</f:debug>
    <f:debug title="post">{post}</f:debug>
    <div class="blogpost frame frame-default frame-type-text frame-layout-0 frame-background-dark frame-has-backgroundimage frame-space-before-none frame-space-after-none">
        <div class="frame-backgroundimage-container">
            <div class="frame-backgroundimage frame-backgroundimage-fade frame-backgroundimage-grayscale">
                <f:if condition="{data.media.0.originalFile}">
                    <f:image image="{data.media.0.originalFile}" treatIdAsReference="1" absolute="1" class="img-fluid mx-auto d-block" style="min-height:200px;"/>
                </f:if>
            </div>
        </div>
        <div class="frame-container">
            <div class="frame-inner">
                <header class="frame-header">
                    <h1 class="element-header ">
                    {data.title}
                    </h1>
                    <f:if condition="{data.subtitle}">
                    <h2 class="element-subheader ">
                    {data.subtitle}
                    </h2>
                    </f:if>
                </header>
                <p>
                    <f:cObject typoscriptObjectPath="tt_content.list.20.blog_metadata" />
                </p>
                <p>
                    <f:if condition="{data.abstract}">
                        <f:then>
                            {data.abstract}
                        </f:then>
                        <f:else>
                            {data.description}
                        </f:else>
                    </f:if>
                </p>
            </div>
        </div>
    </div>
    <div class="section section-default">
        <div class="frame frame-default frame-type-list frame-layout-0 frame-background-none frame-no-backgroundimage frame-space-before-none frame-space-after-none">
            <div class="frame-container">
                <div class="frame-inner">
                    <f:cObject typoscriptObjectPath="tt_content.list.20.blog_metadata" />
                </div>
            </div>
        </div>
    </div>
    <f:cObject typoscriptObjectPath="lib.dynamicContent" data="{pageUid: '{data.uid}', colPos: '0'}" />
    <div class="section section-default">
        <div class="frame frame-default frame-type-list frame-layout-0 frame-background-none frame-no-backgroundimage frame-space-before-none frame-space-after-none">
            <div class="frame-container">
                <div class="frame-inner">
                    <f:if condition="{f:cObject(typoscriptObjectPath: 'lib.blog.pageInfo.sharingEnabled')} == 1">
                        <div class="entry-sharing">
                            <rx:shariff data="{theme: 'grey', button-style: 'icon'}" services="twitter, facebook, xing" enableBackend="true" />
                        </div>
                    </f:if>
                </div>
            </div>
        </div>
    </div>


    <div class="section section-default">
        <div class="frame frame-default frame-type-list frame-layout-0 frame-background-primary frame-no-backgroundimage frame-space-before-none frame-space-after-none">
            <div class="frame-container">
                <div class="frame-inner">
                    <f:cObject typoscriptObjectPath="tt_content.list.20.blog_authors" />
                </div>
            </div>
        </div>
    </div>

    <div class="section section-default">
        <div class="frame frame-default frame-type-list frame-layout-0 frame-background-none frame-no-backgroundimage frame-space-before-none frame-space-after-none">
            <div class="frame-container">
                <div class="frame-inner">
                    <f:cObject typoscriptObjectPath="tt_content.list.20.blog_comments" />
                </div>
            </div>
        </div>
    </div>
    <div class="section section-default">
        <div class="frame frame-default frame-type-list frame-layout-0 frame-background-dark frame-no-backgroundimage frame-space-before-none frame-space-after-none">
            <div class="frame-container">
                <div class="frame-inner">
                    <f:cObject typoscriptObjectPath="tt_content.list.20.blog_commentform" />
                </div>
            </div>
        </div>
    </div>
</f:section>
<f:section name="Footer">

    <f:render partial="Structure/FooterContent" arguments="{_all}" />

</f:section>
</html>
